Templates
Update Template
Update a template’s content.
PATCH
/
templates
/
{id}
Update Template
curl --request PATCH \
--url https://api.unosend.co/templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"subject": "<string>",
"html": "<string>",
"text": "<string>"
}
'import requests
url = "https://api.unosend.co/templates/{id}"
payload = {
"name": "<string>",
"subject": "<string>",
"html": "<string>",
"text": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', subject: '<string>', html: '<string>', text: '<string>'})
};
fetch('https://api.unosend.co/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
string
required
The ID of the template.
string
A new name for the template.
string
A new subject line.
string
New HTML body content.
string
New plain text body content.
Request
cURL
curl -X PATCH https://api.unosend.co/templates/tpl_abc123 \
-H "Authorization: Bearer un_xxxxxxxxxx" \
-H "Content-Type: application/json" \
-d '{
"subject": "Welcome aboard, {{first_name}}!"
}'
Response
200
{
"success": true,
"data": {
"id": "tpl_abc123",
"name": "Welcome Email",
"subject": "Welcome aboard, {{first_name}}!",
"html": "<h1>Welcome, {{first_name}}!</h1><p>Thanks for joining {{company_name}}.</p>"
}
}
⌘I
Update Template
